Loading...
Searching...
No Matches
raptor::bin_validator Class Reference

## Public Types

using | option_value_type = std::vector<std::vector<std::string>>

## Public Member Functions

| bin_validator (bin_validator &&)=default
| bin_validator (bin_validator const &)=default
std::string | get_help_page_message () const
void | operator() (option_value_type const &values) const
bin_validator & | operator= (bin_validator &&)=default
bin_validator & | operator= (bin_validator const &)=default

## Public Attributes

sharg::input_file_validator | sequence_file_validator {raptor::detail::combined_extensions}

## Private Attributes

sharg::input_file_validator | minimiser_file_validator {{"minimiser"}}

The documentation for this class was generated from the following file:

- validators.hpp